Fapi_Import(3)

NAME
Fapi_Import - Fapi_Import

SYNOPSIS

  Functions
TSS2_RC Fapi_Import (FAPI_CONTEXT *context, char const *path, char const *importData)
TSS2_RC Fapi_Import_Async (FAPI_CONTEXT *context, char const *path, char const *importData)
TSS2_RC Fapi_Import_Finish (FAPI_CONTEXT *context)

Detailed Description

FAPI functions to invoke Import either as one-call or in an asynchronous manner.

Function Documentation

  Fapi_Import (FAPI_CONTEXT * context, char const * path, char const * importData)
One-Call function for Fapi_Import

Imports a JSON encoded policy, policy template or key and stores it at the given path.

Parameters
    context The FAPI_CONTEXT
    path the path to which the object is imported
    importData The data that is imported

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, path or importData is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH If path does not map to a FAPI policy or key.
    TSS2_FAPI_RC_PATH_ALREADY_EXISTS if a policy or key already exists at path.
    TSS2_FAPI_RC_BAD_VALUE if importData contains invalid data.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN if a required authorization callback is not set.
    TSS2_FAPI_RC_AUTHORIZATION_FAILED if the authorization attempt fails.
    TSS2_FAPI_RC_POLICY_UNKNOWN if policy search for a certain policy digest was not successful.
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  Fapi_Import_Async (FAPI_CONTEXT * context, char const * path, char const * importData)
Asynchronous function for Fapi_Import

Imports a JSON encoded policy, policy template or key and stores it at the given path.

Call Fapi_Import_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path the path to which the object is imported
    importData The data that is imported

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, path or importData is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH If path does not map to a FAPI policy or key.
    TSS2_FAPI_RC_PATH_ALREADY_EXISTS if a policy or key already exists at path.
    TSS2_FAPI_RC_BAD_VALUE if importData contains invalid data.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.

  Fapi_Import_Finish (FAPI_CONTEXT * context)
Asynchronous finish function for Fapi_Import

This function should be called after a previous Fapi_Import_Async.

Parameters
    context The FAPI_CONTEXT

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN if a required authorization callback is not set.
    TSS2_FAPI_RC_AUTHORIZATION_FAILED if the authorization attempt fails.
    TSS2_FAPI_RC_POLICY_UNKNOWN if policy search for a certain policy digest was not successful.
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_BAD_PATH if the path is used in inappropriate context or contains illegal characters.
    TSS2_FAPI_RC_PATH_ALREADY_EXISTS if the object already exists in object store.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.